<?xml version="1.0" encoding="UTF-8"?>
<ejb-jar-bnd xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://websphere.ibm.com/xml/ns/javaee"
    xsi:schemaLocation="http://websphere.ibm.com/xml/ns/javaee http://websphere.ibm.com/xml/ns/javaee/ibm-ejb-jar-bnd_1_0.xsd" version="1.0">
  <message-driven name="LoaderMDB">
    <jca-adapter activation-spec-binding-name="eis/LoaderQueueMDB" destination-binding-name="jms/LoaderQueue"/>
  </message-driven>

  <message-driven name="ReceiveMDB">
    <jca-adapter activation-spec-binding-name="eis/ReceiveQueueMDB" destination-binding-name="jms/ReceiveQueue"/>
  </message-driven>

  <message-driven name="LargerOrderMDB">
    <jca-adapter activation-spec-binding-name="eis/LargeOrderQueueMDB" destination-binding-name="jms/LargeOrderQueue"/>
  </message-driven>

  <message-driven name="FulfillOrderMDB">
    <jca-adapter activation-spec-binding-name="eis/FulfillOrderQueueMDB" destination-binding-name="jms/FulfillOrderQueue"/>
  </message-driven>

  <message-driven name="BuyerMDB">
    <jca-adapter activation-spec-binding-name="eis/BuyerQueueMDB" destination-binding-name="jms/BuyerQueue"/>
    <resource-ref binding-name="jms/BuyerQueueConnectionFactory" name="org.spec.jent.ejb.supplier.mdb.BuyerMDB/queueConnFactory"/>
    <resource-env-ref binding-name="jms/PurchaseOrderQueue" name="org.spec.jent.ejb.supplier.mdb.BuyerMDB/purchaseOrderQueue"/>
  </message-driven>

  <message-driven name="PurchaseOrderMDB">
    <jca-adapter activation-spec-binding-name="eis/PurchaseOrderMDB" destination-binding-name="jms/PurchaseOrderQueue"/>
  </message-driven>

  <session name="LargeOrderSenderSession">
    <resource-ref binding-name="jms/LargeOrderQueueConnectionFactory" name="org.spec.jent.ejb.orders.session.LargeOrderSenderSession/queueConnFactory"/>
    <resource-env-ref binding-name="jms/LargeOrderQueue" name="org.spec.jent.ejb.orders.session.LargeOrderSenderSession/queue"/>
  </session>

  <session name="SupplierSession">
    <resource-ref binding-name="jms/SupplierQueueConnectionFactory" name="org.spec.jent.ejb.supplier.session.SupplierSession/queueConnFactory"/>
    <resource-env-ref binding-name="jms/ReceiveQueue" name="org.spec.jent.ejb.supplier.session.SupplierSession/queue"/>
  </session>

  <session name="LoaderSession">
    <resource-ref binding-name="jms/LoaderQueueConnectionFactory" name="org.spec.jent.loader.session.LoaderSession/queueConnFactory"/>
    <resource-env-ref binding-name="jms/LoaderQueue" name="org.spec.jent.loader.session.LoaderSession/loadQueue"/>
  </session>

  <session name="MessageSenderSession">
    <resource-ref binding-name="jms/FulfillOrderQueueConnectionFactory" name="org.spec.jent.ejb.mfg.session.MessageSenderSession/fulfillOrderQueueConnFactory"/>
    <resource-ref binding-name="jms/BuyerQueueConnectionFactory" name="org.spec.jent.ejb.mfg.session.MessageSenderSession/buyerQueueConnFactory"/>
    <resource-env-ref binding-name="jms/FulfillOrderQueue" name="org.spec.jent.ejb.mfg.session.MessageSenderSession/fulfillQueue"/>
    <resource-env-ref binding-name="jms/BuyerQueue" name="org.spec.jent.ejb.mfg.session.MessageSenderSession/buyerQueue"/>
  </session>

</ejb-jar-bnd>

